import { ApolloClient, NormalizedCacheObject, OperationVariables, QueryOptions } from '@apollo/client';
import { ResultOutput } from '../utils/removeNodesAndEdges';
export declare class CustomApolloClient {
    apolloClient: ApolloClient<NormalizedCacheObject>;
    constructor(apolloClient: ApolloClient<NormalizedCacheObject>);
    query<TVariables extends OperationVariables, KResults extends Record<string, any>, KResultsOutput extends ResultOutput>(options: QueryOptions<TVariables, KResults>): Promise<{
        data: KResultsOutput;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
}
