import { CustomApolloClient } from '../../client/customApolloClient';
import { WalletENSNFTsQueryVariables } from './getNFTsByWalletENS/getNFTsByWalletENS';
import { ContractAddressNFTsQueryVariables } from './getNFTsByContractAddress/getNFTsByContractAddress';
import { CollectionDetailsQueryVariables } from './getCollectionDetails/getCollectionDetails';
import { EventLogsQueryVariables } from './getNFTEventLogs/getNFTEventLogs';
import { NFTDetailsQueryVariables } from './getNFTDetails/getNFTDetails';
import { ContractEventLogsQueryResponse } from './getContractEventLogs/getContractEventLogs';
import { ContractNFTsQueryResponse, WalletNFTsQueryResponse, CollectionDetailsQueryResponse, NFTDetailsQueryResponse, EventLogsQueryResponse, PaginationArgs } from './sharedTypes';
import { TrendingNftCollectionsQueryVariables, WalletNfTsQueryVariables, LogType } from '../../graphql/types';
import { TrendingNFTCollection } from './getTrendingNFTCollections/getTrendingNFTCollections';
import { NFTsByWalletAndContractsVariables } from './getNFTsByWalletAndContracts/getNFTsByWalletAndContracts';
export declare class NFTQueries {
    private client;
    constructor(client: CustomApolloClient);
    getNFTsByWalletAddress(variables: WalletNfTsQueryVariables): Promise<{
        data: WalletNFTsQueryResponse;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
    getNFTsByWalletENS(variables: WalletENSNFTsQueryVariables): Promise<{
        data: WalletNFTsQueryResponse;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
    getNFTsByContractAddress(variables: ContractAddressNFTsQueryVariables): Promise<{
        data: ContractNFTsQueryResponse;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
    getCollectionDetails(variables: CollectionDetailsQueryVariables): Promise<{
        data: CollectionDetailsQueryResponse;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
    getNFTEventLogs(variables: EventLogsQueryVariables): Promise<{
        data: EventLogsQueryResponse;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
    getNFTDetails(variables: NFTDetailsQueryVariables): Promise<{
        data: NFTDetailsQueryResponse;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
    getContractEventLogs(variables: {
        address: string;
        types?: LogType[];
    } & PaginationArgs): Promise<{
        data: ContractEventLogsQueryResponse;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
    getNFTsByWalletAndContracts(variables: NFTsByWalletAndContractsVariables): Promise<{
        data: WalletNFTsQueryResponse;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
    getTrendingNFTCollections(variables?: TrendingNftCollectionsQueryVariables): Promise<{
        data: TrendingNFTCollection;
        errors?: readonly import("graphql").GraphQLError[] | undefined;
        error?: import("@apollo/client").ApolloError | undefined;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        partial?: boolean | undefined;
    }>;
}
